PUT Application/PutWorkflowConfigs
Request Information
URI Parameters
None.
Body Parameters
Collection of WorkflowConfig| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| WorkflowID | globally unique identifier |
Required |
|
| PictureID | globally unique identifier |
None. |
|
| DashboardID | globally unique identifier |
None. |
|
| Url | string |
None. |
|
| IconName | string |
None. |
|
| BackgroundColor | string |
None. |
|
| ImageFilePath | string |
None. |
Request Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"id": "411559ae-29ae-4ce6-8544-5db6415eb34a",
"workflowID": "b4e414c5-6746-40c5-af4e-db6ff75c49a4",
"pictureID": "d6beb056-d540-46d6-b1c8-6172f3633fc5",
"dashboardID": "c83d813f-d19d-444c-a99a-912bc5bc0080",
"url": "sample string 3",
"iconName": "sample string 4",
"backgroundColor": "sample string 5",
"imageFilePath": "sample string 6"
},
{
"$ref": "1"
}
]
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.